[23835] in Source-Commits
/svn/athena r23446 - trunk/debathena/scripts
daemon@ATHENA.MIT.EDU (amb@MIT.EDU)
Tue Feb 3 15:28:51 2009
Date: Tue, 3 Feb 2009 15:28:41 -0500 (EST)
From: amb@MIT.EDU
Message-Id: <200902032028.PAA12122@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: amb
Date: 2009-02-03 15:28:41 -0500 (Tue, 03 Feb 2009)
New Revision: 23446
Modified:
trunk/debathena/scripts/dasource
Log:
Fixes and updates to control file generation:
- fix spacing problem with control.in existence test
- ignore return value of the control file generation, since it's
certainly to report harmless errors
- explicitly die if there's no control file present
Modified: trunk/debathena/scripts/dasource
===================================================================
--- trunk/debathena/scripts/dasource 2009-02-03 18:38:54 UTC (rev 23445)
+++ trunk/debathena/scripts/dasource 2009-02-03 20:28:41 UTC (rev 23446)
@@ -92,7 +92,8 @@
esac
# Generate debian/control from debian/control.in if control.in exists
- ([-f "$dir/debian/control.in"] && cd $dir && DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes debian/rules debian/control)
+ ([ -f "$dir/debian/control.in" ] && cd $dir && DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes debian/rules debian/control || :)
+ [ -f "$dir/debian/control" ] || die "Can't find or generate debian/control!"
# Create a suitable orig tarball if necessary.
(cd $dir && $basedir/daorig)